package bagaturchess.bitboard.tests.bughouse;

import bagaturchess.bitboard.bughouse.BughouseBoardsImpl;
import bagaturchess.bitboard.bughouse.StockfishThread;
import bagaturchess.bitboard.impl1.BoardImpl;
import org.junit.Test;

import java.util.ArrayList;

public class MateTests {


    @Test
    public void mateTests() {
        StockfishThread thr = new StockfishThread();
        thr.startEngine();
        System.out.println(thr.getEvalScore("rnbqkbnr/ppp1pp1p/8/3p2p1/3PP3/8/PPP2PPP/RNBQKBNR w KQkq - 0 3", 20));
    }
}
